SourceID Docs
Nigeria

Bank Verification Number (BVN) Verification

This endpoint allows you to verify the validity of a Bank Verification Number (BVN).

Endpoint: POST {baseurl}/v1/api/verification/bvn

Request Body

ParameterTypeRequiredDescription
countrystringYesThe country code (e.g., "NGA" for Nigeria).
referencestringYesA unique reference for the verification request.
verificationLevelstringYesThe level of verification to perform (e.g., "basic", "extended").
bvnstringYesThe Bank Verification Number to verify.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Sample Request

curl -X 'POST' \
  'https://api.sourceid.tech/v1/api/verification/bvn' \
  -H 'accept: application/json' \
  -H 'x-api-key: {API-KEY}' \
  -H 'Content-Type: application/json' \
  -d '{
  "country": "NGA",
  "reference": "0122333wqaqd4444555355",
  "verificationLevel": "basic",
  "bvn": "",
  "customer": "6791457be570f7f292f1fe23",
  "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

{
    "status": true,
    "responseCode": "00",
    "statusCode": "200",
    "message": "BVN verification successful",
    "data": {
      "firstName": " ",
      "lastName": "",
      "middleName": "",
      "dateOfBirth": ""
    },
    "meta": {
      "statusCode": "200",
      "isValid": true,
      "timeStamp": "Wed Apr 23 2025 07:13:01 GMT+0000 (Coordinated Universal Time)"
    }
}